Last Comment Bug 735701 - Add Contact and Join Chat buttons should be disabled if no accounts are present
: Add Contact and Join Chat buttons should be disabled if no accounts are present
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 08:52 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-04-02 04:08 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (1.46 KB, patch)
2012-03-26 05:55 PDT, Florian Quèze [:florian] [:flo]
bwinton: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-03-14 08:52:44 PDT
If no chat accounts are present, the Add Contact and Join Chat buttons are still active. They shouldn't be.
Comment 1 Florian Quèze [:florian] [:flo] 2012-03-26 05:55:20 PDT
Created attachment 609294 [details] [diff] [review]
Patch

Note: the status selector part of the toolbar also needs to be disabled (when there's no configured account) but it's a bit more complicated as just setting the disabled property or attribute isn't enough to obtain a satisfying behavior. Other usability issues of this status selector are covered by bug 735658 so I would rather work on this there, and do here the easy part (the Add Contact and Join Chat buttons) sooner.
Comment 2 Blake Winton (:bwinton) (:☕️) 2012-03-27 13:30:53 PDT
Comment on attachment 609294 [details] [diff] [review]
Patch

Seems good.  r=me.
Comment 3 Florian Quèze [:florian] [:flo] 2012-03-28 02:46:01 PDT
http://hg.mozilla.org/comm-central/rev/1f63544e80ac
Comment 4 Philipp Kewisch [:Fallen] 2012-03-29 10:16:44 PDT
Still happens for me with windows nightly from 29-Mar-2012 07:17. Am I too early or is this not fixed?
Comment 5 Florian Quèze [:florian] [:flo] 2012-03-30 05:57:51 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #4)
> Still happens for me with windows nightly from 29-Mar-2012 07:17. Am I too
> early or is this not fixed?

I think this may be a consequence of the error you had while creating an account (bug 740451), you probably ended up with an half created account.
Comment 6 Florian Quèze [:florian] [:flo] 2012-03-30 05:58:51 PDT
Comment on attachment 609294 [details] [diff] [review]
Patch

[Approval Request Comment]
Polish fix that we should take on aurora I think; not disabling these buttons when they can't be used was confusing.
Comment 7 Florian Quèze [:florian] [:flo] 2012-04-02 04:08:17 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/dd0fb5e15c63

Note You need to log in before you can comment on or make changes to this bug.